//
//  camswipeguiAppDelegate.h
//  camswipegui
//
//  Created by Daniel Pollack on 6/16/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>

@interface camswipeguiAppDelegate : NSObject <NSApplicationDelegate> {
    NSWindow *window;
	QTCaptureSession *mCaptureSession;
	QTCaptureDeviceInput *mCaptureDeviceInput;
	QTCaptureDecompressedVideoOutput *mCaptureDecompressedVideoOutput;
	IBOutlet QTCaptureView  *mCaptureView;
}

@property (assign) IBOutlet NSWindow *window;

- (IBAction)startRecording:(id)sender;
- (void)captureOutput:(QTCaptureOutput *)captureOutput didOutputVideoFrame:(CVImageBufferRef)videoFrame withSampleBuffer:(QTSampleBuffer *)sampleBuffer fromConnection:(QTCaptureConnection *)connection;

@end

typedef struct _RGBAPixel
{
    unsigned char redByte, greenByte, blueByte, alphaByte;  
} RGBAPixel;

